POST
/integration/v1/assignments/learning_paths
Create learning path assignment
Create learning path assignment
operationId Create learning path assignment
Request body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
learning_path_id
|
string (uuid) | required | LP id |
user_ids
|
array | optional | User ids |
student_id
|
string (uuid) | required | |
group_ids
|
array | optional | Group ids |
group_id
|
string (uuid) | required | |
send_notifications
|
boolean | optional | Send notification, Default TRUE |
to_all
|
boolean | optional | Assign to account users, Default FALSE |
Responses
200
application/json schema
{
"type": "string",
"description": "Status of assignment creation",
"required": true,
"nullable": true
}
412 Invalid parameters
500 Server error
512 Specification violations